CREATE procedure [C6StagingPeriodico].[RP_ST_AssetClass_pre_selective]
as
begin 
	-- Log esecuzione
	INSERT INTO LOG_ESECUZIONE
		(Nome, Inizio, Nota)
	VALUES (
		'RP_ST_AssetClass_pre_selective',
		GETDATE(),
		'Elaborazione Trimestrale'
	)
	truncate table C6StagingPeriodico.RP_AssetClass
	insert into C6StagingPeriodico.RP_AssetClass
	--select * into C6StagingPeriodico.RP_AssetClass from [CONSEVO].[CatalogoProdotti].dbo.AssetClass
	-- 21/12/2016 mod puntamento
	   --select * from [CONSEVO].[CatalogoProdotti].dbo.AssetClass
	   select asset,madre,livello,descrizione,codicergb,isresidual from [CONSUNI].[CatalogoProdotti].dbo.AssetClass
	-- 21/12/2016 FINE mod puntamento
	-- Log esecuzione
	UPDATE
		LOG_ESECUZIONE
	SET
		Fine = GETDATE(),
		Tipo = 'INSERT',
		Righe = @@ROWCOUNT
	WHERE
		Nome = 'RP_ST_AssetClass_pre_selective' AND
		Inizio = (
			SELECT
				MAX(Inizio)
			FROM
				LOG_ESECUZIONE
			WHERE
				Nome = 'RP_ST_AssetClass_pre_selective'
		)
end